petsc-3.4.2 2013-07-02

# TSRosWSetType

Set the type of Rosenbrock-W scheme

### Synopsis

    #include "petscts.h"
    PetscErrorCode TSRosWSetType(TS ts,TSRosWType rostype)

Logically collective

### Input Parameter

| ts | - timestepping context
| rostype | - type of Rosenbrock-W scheme

### See Also

TSRosWGetType(), TSROSW, TSROSW2M, TSROSW2P, TSROSWRA3PW, TSROSWRA34PW2, TSROSWRODAS3, TSROSWSANDU3, TSROSWASSP3P3S1C, TSROSWLASSP3P4S2C, TSROSWLLSSP3P4S2C, TSROSWARK3

Level:beginner
Location:src/ts/impls/rosw/rosw.c
Index of all TS routines
Table of Contents for all manual pages
Index of all manual pages